package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zhaoliangsz.grainsearch.basic.constants.DateConstants;
import java.time.LocalDateTime;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 
 * </p>
 *
 * @author zyw
 * @since 2024-02-18 10:28:10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("ask_leave")
public class AskLeave extends BaseDO<AskLeave> {

    private static final long serialVersionUID = 1L;

    @TableField("personName")
    private String personName;
    @TableField("sumAskDays")
    private String sumAskDays;
    @TableField("departmentName")
    private String departmentName;
    @TableField("startTime")
    @JsonFormat(pattern = DateConstants.YEAR_MONTH_DAY, timezone = DateConstants.TIMEZONE,shape=JsonFormat.Shape.STRING)
    private LocalDateTime startTime;
    @TableField("endTime")
    @JsonFormat(pattern = DateConstants.YEAR_MONTH_DAY, timezone = DateConstants.TIMEZONE,shape=JsonFormat.Shape.STRING)
    private LocalDateTime endTime;
    @TableField("title")
    private String title;
    @TableField("askStatus")
    private String askStatus;
    @TableField("isover")
    private String isover;


}
