package com.zhaoliangsz.grainsearch.mapper;

import com.zhaoliangsz.grainsearch.domain.entity.AskLeave;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;
/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zyw
 * @since 2024-02-18 10:28:10
 */
public interface AskLeaveMapper extends BaseMapper<AskLeave> {
    /**
     * 根据条件查询总数
     *
     * @param pageView
     * @return
     */
     Integer getCountByCondition(Map<String, Object> pageView);

    /**
     * 根据条件查询列表
     *
     * @param pageView
     * @return
     */
    List<AskLeave> getListByCondition(Map<String, Object> pageView);
}
