package com.zhaoliangsz.grainsearch.mapper;

import com.zhaoliangsz.grainsearch.domain.entity.SzgcColor;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;
/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zyw
 * @since 2024-04-03 13:22:38
 */
public interface SzgcColorMapper extends BaseMapper<SzgcColor> {
    /**
     * 根据条件查询总数
     *
     * @param pageView
     * @return
     */
     Integer getCountByCondition(Map<String, Object> pageView);

    /**
     * 根据条件查询列表
     *
     * @param pageView
     * @return
     */
    List<SzgcColor> getListByCondition(Map<String, Object> pageView);
}
