package com.zhaoliangsz.grainsearch.service;

import com.zhaoliangsz.grainsearch.domain.entity.AskLeave;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zyw
 * @since 2024-02-18 10:28:10
 */
public interface IAskLeaveService extends IService<AskLeave> {
    /**
    * 查询
    * @return
    */
    PageResult<AskLeave> queryAskLeaveList(AskLeave queryAskLeave) throws ServiceException;

    /**
     * 新增
     * @return
     */
    String addAskLeave(AskLeave addAskLeave) throws ServiceException;

    /**
     * 编辑
     * @return
     */
    String editAskLeave(AskLeave editAskLeave) throws ServiceException;

    /**
     * 删除
     * @return
     */
    String deleteAskLeave(AskLeave deleteAskLeave) throws ServiceException;

 }
