package com.zhaoliangsz.grainsearch.service;

import com.zhaoliangsz.grainsearch.domain.entity.SzgcColor;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zyw
 * @since 2024-04-03 13:22:38
 */
public interface ISzgcColorService extends IService<SzgcColor> {
    /**
    * 查询
    * @return
    */
    PageResult<SzgcColor> querySzgcColorList(SzgcColor querySzgcColor) throws ServiceException;

    /**
     * 新增
     * @return
     */
    String addSzgcColor(SzgcColor addSzgcColor) throws ServiceException;

    /**
     * 编辑
     * @return
     */
    String editSzgcColor(SzgcColor editSzgcColor) throws ServiceException;

    /**
     * 删除
     * @return
     */
    String deleteSzgcColor(SzgcColor deleteSzgcColor) throws ServiceException;

 }
