package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zhaoliangsz.grainsearch.basic.constants.DateConstants;
import com.zhaoliangsz.grainsearch.domain.entity.BaseDO;
import java.io.Serializable;
import java.time.LocalDateTime;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author zyw
 * @since 2024-04-03 13:22:38
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("szgc_color")
public class SzgcColor extends BaseDO<SzgcColor> {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private String id;
    @TableField("name")
    private String name;
    @TableField("level")
    private String level;
    @TableField("color")
    private String color;
    @TableField("position")
    private String position;
    @TableField("createtime")
    private String createtime;
    @TableField("departid")
    private String departid;
    @TableField("qyid")
    private String qyid;
    @TableField("worktype")
    private String worktype;


}
